summaryrefslogtreecommitdiff
path: root/with-env
diff options
context:
space:
mode:
Diffstat (limited to 'with-env')
-rw-r--r--with-env5
1 files changed, 5 insertions, 0 deletions
diff --git a/with-env b/with-env
new file mode 100644
index 0000000..aabba50
--- /dev/null
+++ b/with-env
@@ -0,0 +1,5 @@
+#!/bin/bash
+
+set -e
+. <(xargs -0 bash -c 'printf "export %q\n" "$@"' -- < /proc/1/environ)
+$@